## org.eclipse.emf.ecoretools.diagram.ui.outline
Class NavigatorLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.emf.ecoretools.diagram.ui.outline.NavigatorLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.IFontProvider, org.eclipse.jface.viewers.ILabelProvider

    public class NavigatorLabelProvider

extends org.eclipse.jface.viewers.LabelProvider
implements org.eclipse.jface.viewers.IFontProvider

This Label Provider displays informations about model and diagrams. For the model, this provider delegates informations computing to the model label provider.
creation : 7 dec. 2004

Constructor Summary
`NavigatorLabelProvider(org.eclipse.jface.viewers.ILabelProvider delegatedProvider)` Constructor

Method Summary
`void` `dispose()`
`org.eclipse.swt.graphics.Font` `getFont(java.lang.Object element)`
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, isLabelProperty, removeListener`

Constructor Detail

### NavigatorLabelProvider

    public NavigatorLabelProvider(org.eclipse.jface.viewers.ILabelProvider delegatedProvider)

  Constructor

  Parameters:
    `delegatedProvider` - the delegated label provider of the model

Method Detail

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.jface.viewers.LabelProvider`
  See Also:
    `ILabelProvider.getImage(java.lang.Object)`

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `org.eclipse.jface.viewers.LabelProvider`
  See Also:
    `ILabelProvider.getText(java.lang.Object)`

### getFont

    public org.eclipse.swt.graphics.Font getFont(java.lang.Object element)

  Specified by:
    `getFont` in interface `org.eclipse.jface.viewers.IFontProvider`
  See Also:
    `IFontProvider.getFont(java.lang.Object)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Overrides:
    `dispose` in class `org.eclipse.jface.viewers.BaseLabelProvider`
  See Also:
    `BaseLabelProvider.dispose()`

Copyright 2007 Anyware Technologies. All Rights Reserved.